.sim-commerce-widget {
  position: fixed;
  right: 25px;
  bottom: 25px;
  width: 320px;
  z-index: 9990;
  overflow: hidden;
  transform: translateY(50px);
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-dark-elements);
  box-shadow: var(--shadow-blue-on);
  opacity: 0;
  animation: promoSlideIn 0.6s ease forwards;
}

@keyframes promoSlideIn {
  from {
    opacity: 0;
    transform: translateY(50px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.sim-commerce-close-button {
  position: absolute;
  top: 12px;
  right: 12px;
  border: none;
  background: transparent;
  color: var(--text-accent-blue);
  cursor: pointer;
}

.sim-commerce-content {
  display: flex;
  flex-direction: column;
  padding: 10px;
}

.sim-commerce-header {
  display: flex;
  align-items: center;
  gap: 10px;
}

.sim-commerce-image img {
  width: 85px;
  height: 85px;
  object-fit: contain;
}

.sim-commerce-text {
  flex: 1;
}

.sim-commerce-badge {
  display: inline-block;
  padding: 3px 10px;
  border-radius: 999px;
  color: #ffc857;
  background: rgba(255, 200, 87, 0.12);
  font-size: 13px;
  font-weight: 400;
}

.sim-commerce-text h3 {
  margin: 2px 0 0 3px;
  color: var(--text-primary);
  font-size: 24px;
}

.sim-commerce-content p {
  margin: 0 0 20px 0;
  text-align: center;
  color: var(--text-secondary);
  font-size: 18px;
}

.sim-commerce-button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  padding: 10px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 18px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  cursor: pointer;
  transition: 0.3s ease;
}

.sim-commerce-button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

/* smartphone */
@media (max-width: 767px) and (orientation: landscape) {
  .sim-commerce-image img {
    width: 75px;
    height: 75px;
  }

  .sim-commerce-text h3 {
    font-size: 20px;
  }

  .sim-commerce-content p {
    margin: 0 0 12px 0;
    text-align: center;
    color: var(--text-secondary);
    font-size: 15px;
  }

  .sim-commerce-button {
    padding: 7px;
    font-size: 16px;
  }
}